Skip to main content
GET
/
services
List all services
curl --request GET \
  --url https://api.anycheck.ai/services \
  --header 'Authorization: Bearer <token>'
{
  "total": 10,
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "category": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "Document Verification",
        "type": "DOCUMENT_VERIFICATION"
      },
      "code": "KTP_VERIFICATION",
      "name": "KTP & PEP Verification",
      "description": "Verifying customer identity and screening for PEP status",
      "icon_file_url": "https://example.com/icon.png",
      "credit_cost_default": 10,
      "action_type": "WEBVIEW",
      "action_param": {},
      "is_enabled": true,
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT token obtained from /auth/login endpoint.

Example:

Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Query Parameters

page_offset
integer
default:0

Number of items to skip

page_size
integer
default:10

Number of items per page

Response

List of all services

total
integer

Total number of services

Example:

10

items
object[]